This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Self-sign a certificate

1 - 1.2

post /v1/certificatemanager/self-sign

Description

Self-sign a Certificate

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SelfSignCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCertificateDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/self-sign

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.2"

Request body

{
    "cn": "test.go.kr",
    "name": "test-certificate",
    "not_after_dt": "20251212",
    "not_before_dt": "20250101",
    "organization": "samsungSDS",
    "recipients": [],
    "region": "west1",
    "tags": [],
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 201

{
    "certificate": {
        "account_id": "b82909b3576449fda984fb25c3123542da",
        "cert_body": "",
        "cert_chain": "",
        "cert_kind": "DEV",
        "cert_type": "pem",
        "cert_version": "2",
        "cn": "test.go.kr",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_bit_size": "2048",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "test-certificate",
        "not_after_dt": "2026-02-07T18:07:59",
        "not_before_dt": "2025-02-08T18:07:00",
        "organization": "samsungSDS",
        "private_key": "",
        "state": "VALID",
        "user_name": "2048"
    }
}

2 - 1.1

post /v1/certificatemanager/self-sign

Description

Self-sign a Certificate

State ACTIVE (SUPPORTED)

VersionNot Before
1.120260831

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SelfSignCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCertificateDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/self-sign

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.1"

Request body

{
    "cn": "test.go.kr",
    "name": "test-certificate",
    "not_after_dt": "20251212",
    "not_before_dt": "20250101",
    "organization": "samsungSDS",
    "recipients": [],
    "region": "west1",
    "tags": [],
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 201

{
    "certificate": {
        "account_id": "b82909b3576449fda984fb25c3123542da",
        "cert_body": "",
        "cert_chain": "",
        "cert_kind": "DEV",
        "cert_type": "pem",
        "cert_version": "2",
        "cn": "test.go.kr",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_bit_size": "2048",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "test-certificate",
        "not_after_dt": "2026-02-07T18:07:59",
        "not_before_dt": "2025-02-08T18:07:00",
        "organization": "samsungSDS",
        "private_key": "",
        "state": "VALID",
        "user_name": "2048"
    }
}

3 - 1.0

post /v1/certificatemanager/self-sign

Description

Self-sign a Certificate

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SelfSignCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCertificateDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/self-sign

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.0"

Request body

{
    "cn": "test.go.kr",
    "name": "test-certificate",
    "not_after_dt": "20251212",
    "not_before_dt": "20250101",
    "organization": "samsungSDS",
    "recipients": [],
    "region": "west1",
    "tags": [],
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 201

{
    "certificate": {
        "account_id": "b82909b3576449fda984fb25c3123542da",
        "cert_body": "",
        "cert_chain": "",
        "cert_kind": "DEV",
        "cert_type": "pem",
        "cert_version": "2",
        "cn": "test.go.kr",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_bit_size": "2048",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "test-certificate",
        "not_after_dt": "2026-02-07T18:07:59",
        "not_before_dt": "2025-02-08T18:07:00",
        "organization": "samsungSDS",
        "private_key": "",
        "state": "VALID",
        "user_name": "2048"
    }
}